Advisory Details

March 23rd, 2022

(Pwn2Own) HP LaserJet Pro MFP M283fdw ScanJobs Memory Corruption Denial-of-Service Vulnerability

ZDI-22-534
ZDI-CAN-15897

CVE ID CVE-2022-24291
CVSS SCORE 6.5, (AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:N/A:H)
AFFECTED VENDORS HP
AFFECTED PRODUCTS LaserJet Pro MFP M283fdw
VULNERABILITY DETAILS

This vulnerability allows remote attackers to create a denial-of-service condition on affected installations of HP LaserJet Pro MFP M283fdw printers. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the ScanJobs API. Crafted data in a request can cause a memory corruption condition. An attacker can leverage this vulnerability to create a denial-of-service condition on the system. An attacker can also leverage this in conjunction with other vulnerabilities to execute arbitrary code in the context of root.

ADDITIONAL DETAILS

https://support.hp.com/us-en/document/ish_5950417-5950443-16/hpsbpi03781 


DISCLOSURE TIMELINE
  • 2022-01-21 - Vulnerability reported to vendor
  • 2022-03-23 - Coordinated public release of advisory
CREDIT Alexander Bolshev (@dark_k3y), Timo Hirvonen (@TimoHirvonen), and Dmitry Janushkevich (@InfoSecDJ)
BACK TO ADVISORIES